# __gnu_cxx::typelist::detail::chain_flatten_< chain< Hd_Tl, null_type > > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Hd_Tl>
struct __gnu_cxx::typelist::detail::chain_flatten_< chain< Hd_Tl, null_type > >

Definition at line 294 of file typelist.h.

## Public Types

- typedef Hd_Tl::root type

The documentation for this struct was generated from the following file:

- typelist.h